CREATE TABLE Student(
  MatNr INTEGER,
  Name VARCHAR(10),
  PRIMARY KEY (MatNr)
);

CREATE TABLE Veranstaltung(
  Kürzel VARCHAR(5),
  Titel VARCHAR(30),
  Dozent VARCHAR(7),
  PRIMARY KEY(Kürzel)
); 

CREATE TABLE Pruefung(
  MatNr INTEGER,
  Fach VARCHAR(5),
  Note NUMERIC(2,1) NOT NULL,
  PRIMARY KEY(MatNr,Fach),
  CONSTRAINT P1 FOREIGN KEY(MatNr) REFERENCES Student(MatNr),
  CONSTRAINT P2 FOREIGN KEY(Fach) REFERENCES Veranstaltung(Kürzel),
  CONSTRAINT P3 CHECK(MatNr<>13),
  CONSTRAINT P4 CHECK(NOT(Fach='DB') OR Note<=4),
  CONSTRAINT P5 CHECK(NOT(MatNr=50) OR Fach<>'Wahl1')
);

INSERT INTO Student VALUES(42,'Simson');
INSERT INTO Student VALUES(43,'Millhuse');
INSERT INTO Student VALUES(44,'Monz');

INSERT INTO Veranstaltung VALUES('Wahl1','Controlling','Hinz');
INSERT INTO Veranstaltung VALUES('Wahl2','Java','Hinz');
INSERT INTO Veranstaltung VALUES('DB','Datenbanken','Kunz');

INSERT INTO Pruefung VALUES(42,'Wahl1',3.0);
INSERT INTO Pruefung VALUES(42,'DB',1.7);
INSERT INTO Pruefung VALUES(43,'Wahl2',4.0);
INSERT INTO Pruefung VALUES(43,'DB',1.3);
INSERT INTO Pruefung VALUES(44,'Wahl1',5.0);

COMMIT;


