CREATE TABLE Bon(
  BonID INTEGER,
  Kasse INTEGER,
  Verkaeufer VARCHAR(10),
  PRIMARY KEY(BonID)
);

CREATE TABLE Produkt(
  ProdID INTEGER,
  Pname VARCHAR(7),
  Preis INTEGER,
  PRIMARY KEY(ProdID)
);

CREATE TABLE Bonposition(
  BPID INTEGER,
  BonID INTEGER NOT NULL,
  ProdID INTEGER NOT NULL,
  Anzahl INTEGER NOT NULL,
  PRIMARY KEY(BPID),
  FOREIGN KEY (BonID) REFERENCES Bon(BonID),
  FOREIGN KEY (ProdID) REFERENCES Produkt(ProdID),
  CONSTRAINT CAnzahl CHECK (Anzahl>0),
  CONSTRAINT CBPID CHECK (BPID<>13),
  CONSTRAINT CProdID CHECK (NOT(ProdID=3) OR Anzahl>2)
);

INSERT INTO Bon VALUES(1,1,'Müller');
INSERT INTO Bon VALUES(2,2,'Meier');
INSERT INTO Bon VALUES(3,2,'Müller');

INSERT INTO Produkt VALUES(1,'Wodka',5);
INSERT INTO Produkt VALUES(2,'Whisky',7);
INSERT INTO Produkt VALUES(3,'Cola',2);
INSERT INTO Produkt VALUES(4,'Wasser',1);

INSERT INTO Bonposition VALUES(1,1,1,2);
INSERT INTO Bonposition VALUES(2,1,2,1);
INSERT INTO Bonposition VALUES(3,1,3,5);
INSERT INTO Bonposition VALUES(4,2,1,3);
INSERT INTO Bonposition VALUES(5,2,4,4);
INSERT INTO Bonposition VALUES(6,3,1,2);
INSERT INTO Bonposition VALUES(7,3,3,3);

COMMIT;